CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Enumerations
- Properties

- a
- b
- c
- d
- e
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- w

Here is a list of all documented class members with links to the class documentation for each member:

### - c -

- CalcSleepTime() : CommandMessenger.QueueSpeed
- CalcSleepTimeWithoutLoad() : CommandMessenger.QueueSpeed
- CharsToBytes() : CommandMessenger.BinaryConverter
- Clear() : CommandMessenger.CommandQueue
- ClearReceiveQueue() : CommandMessenger.CmdMessenger
- ClearSendQueue() : CommandMessenger.CmdMessenger
- Close() : CommandMessenger.Serialport.SerialTransport , CommandMessenger.Bluetooth.BluetoothTransport
- CmdId : CommandMessenger.Command
- CmdMessenger() : CommandMessenger.CmdMessenger
- CollapseCommandStrategy() : CommandMessenger.CollapseCommandStrategy
- Command : CommandMessenger.CommandStrategy , CommandMessenger.Command
- CommandQueue : CommandMessenger.CommandStrategy , CommandMessenger.GeneralStrategy , CommandMessenger.CommandQueue
- CommandStrategy() : CommandMessenger.CommandStrategy
- CommunicationManager() : CommandMessenger.CommunicationManager
- Connect() : CommandMessenger.Serialport.SerialTransport , CommandMessenger.Bluetooth.BluetoothTransport , CommandMessenger.CommunicationManager , CommandMessenger.CmdMessenger
- ConvertEncoding() : CommandMessenger.StringUtils
- Count : CommandMessenger.CommandQueue
- CurrentBluetoothDeviceInfo : CommandMessenger.Bluetooth.BluetoothTransport
- CurrentReceivedCommand : CommandMessenger.Sender
- CurrentReceivedLine : CommandMessenger.CmdMessenger
- CurrentSerialSettings : CommandMessenger.Serialport.SerialTransport